GET/marketplace/{marketplace_id}/get_minimum_listing_price_policies
This method returns minimum listing price policies for supported types of listings on a specific marketplace. This includes the minimum start price for auction listings, the minimum sale price for fixed-price listings, and the minimum percentage value that a Buy It Now or auction listing must be above the minimum start price for the same listing.
Note: The only applicable listing type values for this method are AUCTION and FIXED_PRICE_ITEM.
The identifier of the eBay marketplace for which to retrieve supported minimum listing price policies is passed through the marketplace_id path parameter.
Input
Resource URI
This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com
URI parameters
| Parameter | Type | Description |
|---|---|---|
| marketplace_id | string | This path parameter specifies the eBay marketplace for which minimum listing price policy information will be retrieved. See MarketplaceIdEnum for a list of supported eBay marketplace ID values. Occurrence: Required |
HTTP request headers
All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.
All other standard RESTful request headers are optional. For more information on standard RESTful request headers, see the HTTP request headers- opens rest request components page table.
OAuth scope
This request requires an access token created with the client credentials grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):
https://api.ebay.com/oauth/api_scope
See OAuth access tokens for more information.
Request payload
This call has no payload.
Request fields
This call has no field definitions.
Output
HTTP response headers
This call has no response headers.
Response payload
Response fields
| Output container/field | Type | Description |
|---|---|---|
| minimumListingPricePolicies | array of MinimumListingPricePoliciesType | This array returns a list of minimum listing price policies for supported types of listings on the specific marketplace Occurrence: Always |
| minimumListingPricePolicies.description | string | The description of the listing type for which the pricing data is intended, such as "Pricing for the auction-like listings". Occurrence: Always |
| minimumListingPricePolicies.listingType | ListingTypeEnum | This enum value indicates the listing type for which minimum starting price policies are being returned. Occurrence: Always |
| minimumListingPricePolicies.minBuyItNowPricePercent | string | The minimum percentage value that a Buy It Now price for an auction listing must be above the starting bid price for the same listing. Occurrence: Conditional |
| minimumListingPricePolicies.startPrice | Amount | For auction listings, this field indicates the lowest dollar value that can be set for the item's starting bid. Occurrence: Always |
| minimumListingPricePolicies.startPrice.currency | CurrencyCodeEnum | The three-letter ISO 4217 code representing the currency of the amount in the value field. Occurrence: Conditional |
| minimumListingPricePolicies.startPrice.value | string | The monetary amount, in the currency specified by the currency field. Occurrence: Conditional |
HTTP status codes
This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.
| Status | Meaning |
|---|---|
| 200 | Success |
| 204 | No Content |
| 400 | Bad Request |
| 404 | Not Found |
| 500 | Internal Server Error |
Error codes
For more on errors, plus the codes of other common errors, see Handling errors.
| Code | Domain | Category | Meaning |
|---|---|---|---|
| 46000 | API_METADATA | APPLICATION | There was a problem with an eBay internal system or process.Contact eBay developer support for assistance. |
| 46001 | API_METADATA | REQUEST | The specified marketplace ID was not found. |
Warnings
This call has no warnings.
Samples
New to making API calls? Please see Making a Call.
Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.
Sample 1: Retrieve minimum listing price policies
This method can be used to retrieve minimum listing price policies for the supported types of listing on a specific marketplace.
Input
This method does not use a request payload. The marketplace for which to retrieve minimum listing price policies is specified through the marketplace_id path parameter. In this sample, policies are being retrieved for EBAY_US.
GEThttps://api.ebay.com/sell/metadata/v1/marketplace/EBAY_US/get_minimum_listing_price_policies
Output
If the method is successful, the response body contains the eBay minimum listing price policy metadata for the specified marketplace.